# Uses of Class
net.shibboleth.idp.saml.authn.principal.NameIDPrincipal

Packages that use NameIDPrincipal
Package
Description
net.shibboleth.idp.saml.authn.principal
SAML-specific classes for integration with idp-authn-api packages.
net.shibboleth.idp.saml.authn.principal.impl
Implementation classes supporting SAML-related Principal objects.
net.shibboleth.idp.saml.nameid.impl
Implementation of SAML `NameID` and `NameIdentifier` generation and consumption.

## Uses of NameIDPrincipal in net.shibboleth.idp.saml.authn.principal

Methods in net.shibboleth.idp.saml.authn.principal that return NameIDPrincipal
Modifier and Type
Method
Description
`NameIDPrincipal`
NameIDPrincipal.`clone()`
Creates and returns a copy of this object.

## Uses of NameIDPrincipal in net.shibboleth.idp.saml.authn.principal.impl

Methods in net.shibboleth.idp.saml.authn.principal.impl that return NameIDPrincipal
Modifier and Type
Method
Description
`NameIDPrincipal`
NameIDPrincipalSerializer.`deserialize(String value)`
Deserialize the supplied value.

## Uses of NameIDPrincipal in net.shibboleth.idp.saml.nameid.impl

Methods in net.shibboleth.idp.saml.nameid.impl that return NameIDPrincipal
Modifier and Type
Method
Description
`private NameIDPrincipal`
NameIDCanonicalization.`getNameIDPrincipal(SubjectCanonicalizationContext c14nContext)`
Helper method that returns the first and only `NameIDPrincipal` provided it matches a valid Format, returning null otherwise.